XDF_GET_EVTTYPE(3)

NAME
xdf_get_evttype - Get information about an event type

SYNOPSIS

#include <xdfio.h>

int xdf_get_evttype(struct xdf* xdf, unsigned int evttype,
int* code, const char** desc);

DESCRIPTION

xdf_get_evttype() returns the information of the event type evttype of the XDF file referenced by xdf. The code and the description of the event type are returned respectively in the pointers code and desc.

RETURN VALUE

The function returns 0 in case of success. Otherwise -1 is returned and errno is set appropriately.

ERRORS

EINVAL
    xdf, code or desc is NULL.

ERANGE
    evttype is an invalid event type of xdf

SEE ALSO
xdf_get_event(3)